Bug 1293926 - Permissions on /home reinitialized on reboot
Permissions on /home reinitialized on reboot
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-23 09:37 EST by Derrien
Modified: 2016-12-20 12:21 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:21:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derrien 2015-12-23 09:37:33 EST
Description of problem:
We try to have permissions 1777 on /home (worked with F22) but at each reboot permissions are reinitialized with 0755. Is it a bug ? A new feature ?  

[root (Fedora 23) ~]$ chmod 1777 /home/
[root (Fedora 23) ~]$ stat /home
  File: ‘/home’
  Size: 4096      	Blocks: 8          IO Block: 4096   directory
Device: 803h/2051d	Inode: 2           Links: 5
Access: (1777/drwxrwxrwt)  Uid: (    0/    root)   Gid: (    0/    root)
Access: 2015-12-21 17:12:54.938478992 +0100
Modify: 2015-12-21 17:12:42.193479523 +0100
Change: 2015-12-23 15:16:54.209266684 +0100
 Birth: -
[root (Fedora 23) ~]$ reboot
...
[root (Fedora 23) ~]$ stat /home
  File: ‘/home’
  Size: 4096      	Blocks: 8          IO Block: 4096   directory
Device: 803h/2051d	Inode: 2           Links: 5
Access: (0755/drwxr-xr-x)  Uid: (    0/    root)   Gid: (    0/    root)
Access: 2015-12-21 17:12:54.938478992 +0100
Modify: 2015-12-21 17:12:42.193479523 +0100
Change: 2015-12-23 15:18:34.609279824 +0100

Acces changed from 1777 to 0755 during reboot

Thanks.
Comment 1 Zbigniew Jędrzejewski-Szmek 2015-12-23 10:51:52 EST
This is most likely related to the recent changes to /usr/lib/tmpfiles.d/home.conf. It seems a bug that the permissions are reset, at least I wouldn't expect that. The description of the semantics in tmpfiles.d(5) is not very clear though. We'll have to figure that out upstream.

As a workaround, you can create /etc/tmpfiles.d/home.conf containing:
Q /home 1777 - - -
Comment 2 Derrien 2015-12-23 11:14:09 EST
Thanks.
Comment 3 Jan Synacek 2016-01-04 08:51:30 EST
There is no Q in tmpfiles.d(5). Is that another bug?
Comment 4 Fedora End Of Life 2016-11-24 09:29:19 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 12:21:14 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.